Vinix· docs
API referenceCore APIContact CenterRecipients

Set recipient status

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
POST
/accounts/{account_id}/qubicle_recipients/{user_id}/status

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth or PUT /v2/api_auth. See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

user_id*string

Recipient (user) ID.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/accounts/string/qubicle_recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \  -H "Content-Type: application/json" \  -d '{    "data": {      "status": "login"    }  }'
{
  "available": true,
  "availability_state": "Ready",
  "queue_availability": {
    "property1": true,
    "property2": true
  },
  "offered_call": {
    "queue_id": "cefd6192-7a66-4699-a2fc-dbb7f43ad507",
    "session_id": "string",
    "caller_id_name": "string",
    "caller_id_number": "string",
    "queue_enter_time": 0
  },
  "handling_call": {
    "queue_id": "cefd6192-7a66-4699-a2fc-dbb7f43ad507",
    "session_id": "string",
    "caller_id_name": "string",
    "caller_id_number": "string",
    "queue_enter_time": 0
  },
  "wrapup_time_seconds": 0,
  "wiretapping_recipient": "34531843-4c7c-4bd8-bb33-72ee8d7795d4",
  "wiretap_mode": "whisper",
  "stats": {
    "total_calls": 0,
    "missed_calls": 0,
    "avg_call_time": 0,
    "login_time": 0,
    "last_action_time": 0,
    "last_handled_time": 0
  },
  "node": "string"
}
{
  "message": "string",
  "request_id": "string"
}
{
  "message": "string",
  "request_id": "string"
}